const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.js('resources/js/app.js', 'public/js/app.js')
    .sass('resources/sass/app.scss', 'public/css/app.css');
mix.copy('resources/sass/fonts/','public/fonts');
mix.copy('resources/icon','public/icon');
mix.copy('resources/images','public/images');
mix.copy('resources/icon/faviconc.ico','public/faviconc.ico');
mix.js('resources/js/trix.js','public/js/trix.js');
mix.js('resources/js/echarts.js','public/js/echarts.js');
mix.copy('resources/sass/trix.css','public/css/trix.css');
mix.copy('resources/js/queryForm/queryForm.js','public/js/queryForm/queryForm.js');
mix.copy('resources/js/queryForm/export.js','public/js/queryForm/export.js');
mix.js('resources/js/queryForm/header.js','public/js/queryForm/header.js');
mix.js('resources/js/utilities/barcode.js','public/js/utilities/barcode.js');
mix.js('resources/js/utilities/qrcode.js','public/js/utilities/qrcode.js');

mix.copy('resources/sound/','public/sound');
mix.js('resources/js/elementUi.js','public/js/element-ui.js')
    .sass('resources/sass/elementUi.scss', 'public/css/element-ui.css');
mix.copy("resources/sass/animation.css",'public/css/animation.css');

mix.version();
